package BD;

import gerenciamento_compra.Principal;
import gerenciamento_pagamento.Fatura;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class PegaFatura {
	public Fatura buscar_faturas(Fatura debitos) throws SQLException {
		try {

			Connection con = ConnectionFactory.getConnection();
			String cliente = Principal.getName();
			String aux = "select * from " + cliente;
			PreparedStatement stmt = con.prepareStatement(aux);
			ResultSet rs = stmt.executeQuery();			
				String[] a1 = new String[255];
				int[] a2 = new int[255];
				int[] a3 = new int[255];
				int cont = 0;
				while (rs.next()) {
					a1[cont] = rs.getString("produto");
					a2[cont] = rs.getInt("valor");
					a3[cont] = rs.getInt("qtde");
					cont++;
				}
				debitos.setProduto(a1);
				debitos.setPreco(a2);
				debitos.setQtde(a3);
			
			rs.close();
			stmt.close();
			con.close();
			return debitos;
		} catch (SQLException e) {
			return debitos;
		}
	}

}
